From 04f476bbc3768d9052ae9c8a1b0aa53340a993b3 Mon Sep 17 00:00:00 2001
From: Yuan Liao <liaoyuan@gmail.com>
Date: Sun, 16 Jan 2022 08:01:46 -0800
Subject: [PATCH] ASMAccessorOptimizer: Update supported Java versions as of
 2.4.14

Squashed patch of the following commits:

From: deaddowney <spamcontrol@mac.com>
Date: Fri, 22 Jun 2018 09:38:24 -0400
Subject: [PATCH 1/4] Mvel not working with Java 10 (11) GH Issue #159

From: dieter sauvillers <dieter.sauvillers@corilus.be>
Date: Tue, 2 Apr 2019 10:20:31 +0200
Subject: [PATCH 2/4] mvel does not work with java 12 #185

From: mmelko <mmelko@redhat.com>
Date: Fri, 26 Jun 2020 08:55:24 +0200
Subject: [PATCH 3/4] Fix building on java 14

From: mariofusco <mario.fusco@gmail.com>
Date: Mon, 24 Aug 2020 08:54:22 +0200
Subject: [PATCH 4/4] drop compatibility with java versions lower than 1.4

Signed-off-by: Yuan Liao <liaoyuan@gmail.com>
---
 .../mvel2/optimizers/impl/asm/ASMAccessorOptimizer.java    | 7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

diff --git a/src/main/java/org/mvel2/optimizers/impl/asm/ASMAccessorOptimizer.java b/src/main/java/org/mvel2/optimizers/impl/asm/ASMAccessorOptimizer.java
index 45520538..4c4c876e 100644
--- a/src/main/java/org/mvel2/optimizers/impl/asm/ASMAccessorOptimizer.java
+++ b/src/main/java/org/mvel2/optimizers/impl/asm/ASMAccessorOptimizer.java
@@ -118,13 +118,8 @@ public class ASMAccessorOptimizer extends AbstractOptimizer implements AccessorO
       OPCODES_VERSION = Opcodes.V1_4;
     } else if (javaVersion.startsWith("1.5")) {
       OPCODES_VERSION = Opcodes.V1_5;
-    } else if (javaVersion.startsWith("1.6")
-            || javaVersion.startsWith("1.7")
-            || javaVersion.startsWith("1.8")
-            || javaVersion.startsWith("9")) {
-      OPCODES_VERSION = Opcodes.V1_6;
     } else {
-      OPCODES_VERSION = Opcodes.V1_2;
+      OPCODES_VERSION = Opcodes.V1_6;
     }
 
     String defaultNameSapce = getProperty("mvel2.namespace");
-- 
2.34.1

